<?php
/**
 * Bootstrap.
 *
 * @package MadeByAura\Prime\Customizer
 * @author  MadeByAura.com
 */

namespace MadeByAura\Prime\Customizer;

use MadeByAura\Prime\Helpers\SingletonTrait;

defined( 'ABSPATH' ) || die();

/**
 * Bootstrap.
 */
class Bootstrap {
	use SingletonTrait;

	/**
	 * Constructor.
	 */
	protected function __construct() {
		require_once get_template_directory() . '/vendor/aristath/kirki/kirki.php';

		// Hooks.
		Hooks\CssOutput::init();
		Hooks\Notices::init();
		Hooks\Scripts::init();
		Hooks\Setup::init();

		// Fields.
		Fields\Colors::init();
		Fields\Typography::init();
		Fields\Buttons\Section::init();
		Fields\Buttons\Buttons::init();
		Fields\Forms\Section::init();
		Fields\Forms\Form::init();
		Fields\Forms\Legend::init();
		Fields\Forms\Placeholder::init();
		Fields\Forms\Label::init();
		Fields\Forms\Description::init();
		Fields\Forms\Field::init();
		Fields\Forms\Checkbox::init();
		Fields\Forms\Submit::init();
		Fields\Forms\BackButton::init();
		Fields\Content\Section::init();
		Fields\Content\Spacing::init();
		Fields\Content\Headings::init();
		Fields\Content\ImageCaption::init();
		Fields\Content\Links::init();
		Fields\Content\Blockquote::init();
		Fields\Content\NothingFound::init();
		Fields\StickyHeader::init();
		Fields\StickyFooter::init();
		Fields\Spacer::init();
		Fields\SiteIdentity::init();
	}
}
